Expose a sandbox port
curl --request POST \
--url https://api.hyperbrowser.ai/api/sandbox/{id}/expose \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"port": 32768,
"auth": false
}
'import requests
url = "https://api.hyperbrowser.ai/api/sandbox/{id}/expose"
payload = {
"port": 32768,
"auth": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({port: 32768, auth: false})
};
fetch('https://api.hyperbrowser.ai/api/sandbox/{id}/expose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"port": 32768,
"auth": true,
"url": "<string>",
"browserUrl": "<string>",
"browserUrlExpiresAt": "2023-11-07T05:31:56Z"
}Sandboxes
Expose a sandbox port
POST
/
api
/
sandbox
/
{id}
/
expose
Expose a sandbox port
Authorizations
Path Parameters
Sandbox ID
Body
application/json
Response
200 - application/json
Port exposed
Required range:
1 <= x <= 65535Whether requests to the exposed URL require authentication.
Public URL that routes to the exposed port.
URL that bootstraps browser access. For authenticated ports this includes a short-lived grant token.
Expiry of the browser bootstrap grant, if auth is enabled.
Was this page helpful?
⌘I